- 87
- 2 885
Coding Hints
India
Приєднався 14 тра 2023
Our UA-cam education channel is designed Coding and DSA And problem solving Web development , Python,...
for 11th and 12th-grade students preparing for Boards, JEE, and CUET exams. We cover all the concepts of Physics, Chemistry, and Maths with high-quality educational content that is easy to understand and engaging. Our video lectures are accompanied by detailed explanation and we provide practice problems and past exam papers to help students assess their progress. Join us to achieve your academic goals and excel in your exams.
important questions practice all jee mains and boards easy to learn......📚📙📝❤️
for 11th and 12th-grade students preparing for Boards, JEE, and CUET exams. We cover all the concepts of Physics, Chemistry, and Maths with high-quality educational content that is easy to understand and engaging. Our video lectures are accompanied by detailed explanation and we provide practice problems and past exam papers to help students assess their progress. Join us to achieve your academic goals and excel in your exams.
important questions practice all jee mains and boards easy to learn......📚📙📝❤️
DAYs- 105 ✅✅Simple and Easy Solution | ✅Beats 100% | | Java | |❤️💻🔥🔥 || Leetcode Problem of days||
Source Code :: leetcode.com/problems/longest-strictly-increasing-or-strictly-decreasing-subarray/solutions/6368125/simple-and-easy-solution-beats-100-java-ghdig
The problem requires finding the longest subarray that is either strictly increasing ⬆️ or strictly decreasing ⬇️.
To solve this, we can iterate through the array while tracking:
✅ The length of the increasing sequence 📈
✅ The length of the decreasing sequence 📉
At each step, we update the maximum length found so far
The problem requires finding the longest subarray that is either strictly increasing ⬆️ or strictly decreasing ⬇️.
To solve this, we can iterate through the array while tracking:
✅ The length of the increasing sequence 📈
✅ The length of the decreasing sequence 📉
At each step, we update the maximum length found so far
Переглядів: 3
Відео
⬆️ ✅ Beginner Friendly Solution ||100% JAVA || Simplest ✅ & Most Optimal 🔥| Detailed Explanation ||
Переглядів 419 годин тому
Source code:: leetcode.com/problems/special-array-i/solutions/6357089/beginner-friendly-solution-100-simplest-egh8m Intuition To determine if the array is "special," we need to ensure that consecutive elements alternate in parity (one is even, the other is odd). A clever way to check this is by verifying that the sum of each consecutive pair is always odd. Since the sum of two even numbers or t...
DAYs -100 😨✅✅❤️BEATS 100% SOLUTION || 684.Redundant Connection || ❤️ EASY SOLUTION || JAVA | |✅✅💻🔥
Переглядів 16День тому
Source code leetcode.com/problems/redundant-connection/solutions/6343653/beats-100-solution-easy-solution-java-by-3i5x Intuition We need to find an edge that, when removed, allows all nodes to be connected without any cycles. This means we need to detect a cycle in the graph. ✅ The graph consists of N nodes labeled from 1 to N. ✅ There will always be exactly one redundant connection. ✅ Return t...
✅ ✅|| ❤️Beats 100% in Java || Course Schedule IV (1462) ❤️ ||🚀💻💻🚀
Переглядів 18День тому
LeetCode linke ::leetcode.com/problems/course-schedule-iv/solutions/6334671/beats-100-in-java-course-schedule-iv Intuition My first thought is to use Depth-First Search (DFS) to determine if there is a path from one course to another, which would indicate a prerequisite relationship. 🔍 Approach Here's the approach step-by-step: 1. Graph Representation: Represent the courses and prerequisites us...
✅ DAYs -97 ✅Beats 100% Solution || 🚀Maximum Employees to Be Invited to a Meeting🚀||🔥🔥✅✅
Переглядів 814 днів тому
Intuition :: Topological sort is an algorithm traditionally used in DAGs (Directed Acyclic Graphs) to order nodes in a way that for every directed edge u to v, node u comes before node v. This ordering allows us to process nodes one by one, ensuring that we handle dependencies before processing dependent nodes. However, in this context, we don't have a pure DAG because of the cycles. But we can...
Days -96 , LeetCode Solution ,Make Lexicographically Smallest Array by Swapping Elements
Переглядів 1814 днів тому
Approach 1. Sort the array nums and keep the original indices in place as well 2.Group numbers together into Queue according to the limit Record key-value pairs: key - index of number in nums value - index of Queue that such number belongs to 3.Iterate through nums, reassign each number's value to the current minimum value in its group 4. As we sort all groups(Queues) in lexicographically ascen...
✅✅🔥BEATS 100% PROOF🔥||💡CONCISE CODE✅✅||🌟JAVA||🧑💻 BEGINNER FREINDLY
Переглядів 1321 день тому
1. Compute XOR for Both Arrays Compute x as the XOR of all elements in nums1. Compute y as the XOR of all elements in nums2. 2. Check Array Lengths If nums2.length % 2 1 (odd), XOR all elements of nums1 (x) into the result. If nums1.length % 2 1 (odd), XOR all elements of nums2 (y) into the result. 3. Return the Result Combine contributions from nums1 and nums2 to get the final result
✅✅Easy Understanding- Beats 100% -Explained ✅✅ || JAVA || 💡CONCISE CODE✅||🌟❤️🔥🔥
Переглядів 11Місяць тому
Links :leetcode.com/problems/maximum-score-after-splitting-a-string/solutions/6212639/easy-understanding-beats-100-explained-j-twnx Approach Count Total Ones Calculate the total number of 1s in the string at the start. Use this to represent the initial count of ones in the right substring. Traverse and Update Iterate through the string, keeping track of zeros in the left substring. Adjust the c...
✅ ✅❤️ BEATS 100% PROOF SOLUTION ❤️|| 💡 EASY CODE ❤️❤️ || 🌟 JAVA || 🧑💻 🔥🔥✅ || LeetCode Solution ||
Переглядів 5Місяць тому
✅ ✅❤️ BEATS 100% PROOF SOLUTION ❤️|| 💡 EASY CODE ❤️❤️ || 🌟 JAVA || 🧑💻 🔥🔥✅ || LeetCode Solution ||
✅ ✅❤️ BEATS 100% PROOF SOLUTION ❤️|| 💡 EASY CODE ❤️❤️ || 🌟 JAVA || 🧑💻 🔥🔥✅ || LeetCode Solution ||
Переглядів 16Місяць тому
link:leetcode.com/problems/maximum-sum-of-3-non-overlapping-subarrays/solutions/6195994/beats-100-proof-solution-easy-code-java-6fjjz Problem: Find three non-overlapping subarrays of length 𝑘 with the maximum sum. Key Idea: Use sliding window for efficient subarray sum calculation and dynamic programming to track maximum sums and their indices. Approach Sliding Window for Subarray Sum: Compute ...
✅ 🔥 BEATS 100% PROOF🔥|| 💡 CONCISE CODE ✅ || 🌟 JAVA || 🧑💻 BEGINNER FREINDLY
Переглядів 10Місяць тому
✅ 🔥 BEATS 100% PROOF🔥|| 💡 CONCISE CODE ✅ || 🌟 JAVA || 🧑💻 BEGINNER FREINDLY
✅ ✅ 100% EASIEST CODE || ✅ ✅ || 🌟 JAVA || 🧑💻|| LeetCode Solution ❤️❤️🔥🔥🔥
Переглядів 14Місяць тому
✅ ✅ 100% EASIEST CODE || ✅ ✅ || 🌟 JAVA || 🧑💻|| LeetCode Solution ❤️❤️🔥🔥🔥
👉👉100% beats✅✅ || Simple BFS Solution || JAVA || ✅✅ 🔥🔥❤️❤️
Переглядів 4Місяць тому
👉👉100% beats✅✅ || Simple BFS Solution || JAVA || ✅✅ 🔥🔥❤️❤️
✅ 🔥 BEATS 100% PROOF🔥|| 💡 CONCISE CODE ✅ || 🌟 JAVA || Concept 🔥🔥🔥❤️❤️
Переглядів 12Місяць тому
✅ 🔥 BEATS 100% PROOF🔥|| 💡 CONCISE CODE ✅ || 🌟 JAVA || Concept 🔥🔥🔥❤️❤️
Leftmost Building Queries | ✅Optimal Solution || JAVA || Solution Concept and Logic🔥🔥🔥
Переглядів 15Місяць тому
Leftmost Building Queries | ✅Optimal Solution || JAVA || Solution Concept and Logic🔥🔥🔥
✅100% Faster | DFS | Easy Intuitive approach | Java | Detailed Video Explanation 🔥
Переглядів 35Місяць тому
✅100% Faster | DFS | Easy Intuitive approach | Java | Detailed Video Explanation 🔥
✅ 🔥 BEATS 100% PROOF🔥|| 💡 CONCISE CODE ✅ || 🌟 JAVA || 🧑💻 BEGINNER FREINDLY
Переглядів 10Місяць тому
✅ 🔥 BEATS 100% PROOF🔥|| 💡 CONCISE CODE ✅ || 🌟 JAVA || 🧑💻 BEGINNER FREINDLY
Most Optimize Solution O(n) | Beats 100%✅ || Java | | Leetcode Problem solution
Переглядів 9Місяць тому
Most Optimize Solution O(n) | Beats 100%✅ || Java | | Leetcode Problem solution
1475. Final Prices With a Special Discount in a Shop ,LeetCode Problem Solve
Переглядів 12Місяць тому
1475. Final Prices With a Special Discount in a Shop ,LeetCode Problem Solve
2182. Construct String With Repeat Limit ,LeetCode problem solving
Переглядів 10Місяць тому
2182. Construct String With Repeat Limit ,LeetCode problem solving
3264. Final Array State After K Multiplication Operations I LeetCode problem solving
Переглядів 3Місяць тому
3264. Final Array State After K Multiplication Operations I LeetCode problem solving
1792. Maximum Average Pass Ratio, LeetCode problem solving
Переглядів 10Місяць тому
1792. Maximum Average Pass Ratio, LeetCode problem solving
Continuous Subarrays LeetCode Problem solving
Переглядів 8Місяць тому
Continuous Subarrays LeetCode Problem solving
Find Score of an Array After Marking All Elements LeetCode problem solving
Переглядів 9Місяць тому
Find Score of an Array After Marking All Elements LeetCode problem solving
Take Gifts From the Richest Pile LeetCode porblem solving
Переглядів 7Місяць тому
Take Gifts From the Richest Pile LeetCode porblem solving
Maximum Beauty of an Array After Applying Operation LeetCode soving problem today
Переглядів 18Місяць тому
Maximum Beauty of an Array After Applying Operation LeetCode soving problem today
Find Longest Special Substring That Occurs Thrice LeetCode problem solving
Переглядів 13Місяць тому
Find Longest Special Substring That Occurs Thrice LeetCode problem solving
Special Array II LeetCode problem solving
Переглядів 172 місяці тому
Special Array II LeetCode problem solving
Two Best Non-Overlapping Events Leetcode problem solving
Переглядів 132 місяці тому
Two Best Non-Overlapping Events Leetcode problem solving